petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMCompositeGatherArray

Gathers into a global packed vector from its individual local vectors

### Synopsis

    #include "petscdmcomposite.h"
    PetscErrorCode  DMCompositeGatherArray(DM dm,InsertMode imode,Vec gvec,Vec *lvecs)

Collective on DMComposite

### Input Parameter

| dm | - the packer object
| gvec | - the global vector
| imode | - INSERT_VALUES or ADD_VALUES
| lvecs | - the individual sequential vectors, NULL for any that are not needed

### Notes

This is a non-variadic alternative to DMCompositeGather().

### See Also

DMDestroy(), DMCompositeAddDM(), DMCreateGlobalVector(),
DMCompositeScatter(), DMCompositeCreate(), DMCompositeGetISLocalToGlobalMappings(), DMCompositeGetAccess(), DMCompositeGetLocalVectors(), DMCompositeRestoreLocalVectors(), DMCompositeGetEntries(),

### Level

advanced

### Location

src/dm/impls/composite/pack.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages